Should I report this as a bug? WARNING:root:can not import unity GI Namespace Dbusmenu not available

Asked by Willem Hobers on 2018-03-11

Test-Running Xubuntu 18.04 daily; updated.
Started update-manager from cli/terminal.
Saw this message:

WARNING:root:can not import unity GI Namespace Dbusmenu not available

Should I report this as a bug somewhere?
If so: which package?

Linux Xubuntu-18-04 4.15.0-10-generic #11-Ubuntu SMP Tue Feb 13 18:23:35 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

thank you

Question information

Language:
English Edit question
Status:
Needs information
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Last query:
2018-03-11
Last reply:
2018-03-11

Yes please report a bug. Bionic is not ready and not stable

Willem Hobers (whobers) said : #2

Will do. Which package would you advice me to report this against?

Manfred Hampl (m-hampl) said : #3

What command did you start to receive such message?
Is there additional text shown before or after that?

Willem Hobers (whobers) said : #4

Nothing before; nothing after.

willem@Xubuntu-18-04:~$ sudo update-manager
[sudo] wachtwoord voor willem:
WARNING:root:can not import unity GI Namespace Dbusmenu not available

Is there a log I could have a look at?

Manfred Hampl (m-hampl) said : #5

Does update-manager work despite this warning?

If you try running update-manager without sudo, do you also receive this error message?

A web search shows that installing gir1.2-unity-5.0 might help (is listed as recommended dependency for update-manager).

If you want to report a bug: the executable file update-manager is part of the source package update-manager.

Willem Hobers (whobers) said : #6

update-manager does work despite the warning.

Running without sudo:

willem@Xubuntu-18-04:~$ update-manager

** (update-manager:9726): WARNING **: 16:50:16.649: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
WARNING:root:can not import unity GI Namespace Dbusmenu not available

I'll turn this into a bug.

Manfred Hampl (m-hampl) said : #7

Is the warning still shown after installing the package gir1.2-unity-5.0 ?

Willem Hobers (whobers) said : #8

I did

willem@Xubuntu-18-04:~$ sudo apt install gir1.2-unity-5.0

And got:

Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De statusinformatie wordt gelezen... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  gir1.2-dbusmenu-glib-0.4 gir1.2-dee-1.0 gir1.2-unity-5.0
0 opgewaardeerd, 3 nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
Er moeten 39,3 kB aan archieven opgehaald worden.
Na deze bewerking zal er 258 kB extra schijfruimte gebruikt worden.

Then ran:

sudo update-manager

The warning did not show up anymore.

Can you help with this problem?

Provide an answer of your own, or ask Willem Hobers for more information if necessary.

To post a message you must log in.